curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/teams/{team_id}/execute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>",
"worker_queue_id": "<string>",
"system_prompt": "<string>",
"stream": false,
"user_metadata": {},
"execution_environment": {
"working_dir": "<string>",
"env_vars": {},
"secrets": [
"<string>"
],
"integration_ids": [
"<string>"
],
"mcp_servers": {}
},
"execution_metadata": {}
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/teams/{team_id}/execute"
payload = {
"prompt": "<string>",
"worker_queue_id": "<string>",
"system_prompt": "<string>",
"stream": False,
"user_metadata": {},
"execution_environment": {
"working_dir": "<string>",
"env_vars": {},
"secrets": ["<string>"],
"integration_ids": ["<string>"],
"mcp_servers": {}
},
"execution_metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
prompt: '<string>',
worker_queue_id: '<string>',
system_prompt: '<string>',
stream: false,
user_metadata: {},
execution_environment: {
working_dir: '<string>',
env_vars: {},
secrets: ['<string>'],
integration_ids: ['<string>'],
mcp_servers: {}
},
execution_metadata: {}
})
};
fetch('https://control-plane.kubiya.ai/api/v1/teams/{team_id}/execute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"execution_id": "<string>",
"workflow_id": "<string>",
"status": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Execute Team
Execute a team task by submitting to Temporal workflow.
This creates an execution record and starts a Temporal workflow. The actual execution happens asynchronously on the Temporal worker.
The runner_name should come from the Composer UI where user selects from available runners (fetched from Kubiya API /api/v1/runners).
Authorizations
Enter your Kubiya API token (format: Bearer )
Path Parameters
Body
The prompt/task to execute
Worker queue ID (UUID) to route execution to - REQUIRED
Optional system prompt for team coordination
Whether to stream the response
User attribution metadata (optional, auto-filled from token)
Optional execution environment overrides (working_dir, env_vars, etc.)
Show child attributes
Show child attributes
Optional metadata for tracking and filtering executions (e.g., meta_agent_session_id, trigger_type)
Was this page helpful?